Market-day CP rollup (public)
curl --request GET \
--url https://api-mainnet.xo.market/api/public/liquidity-rewards/markets/{marketId}/epochs/{epoch}import requests
url = "https://api-mainnet.xo.market/api/public/liquidity-rewards/markets/{marketId}/epochs/{epoch}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-mainnet.xo.market/api/public/liquidity-rewards/markets/{marketId}/epochs/{epoch}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"market_id": "<string>",
"epoch": 123,
"day_open_ms": 123,
"day_close_ms": 123,
"currency": "<string>",
"pool": "<string>",
"status": "scored",
"total_score": "<string>",
"maker_count": 123,
"allocated_cp": "<string>",
"credited_cp": "<string>",
"top_makers": [
{
"user_id": "<string>",
"score": "<string>",
"score_share": "<string>",
"effective_cp": "<string>",
"allocated_cp": "<string>",
"credited_cp": "<string>",
"status": "pending"
}
]
}Liquidity Rewards (public)
Market-day CP rollup (public)
Unauthenticated CP market-day summary including top_makers.
No Privy token. Cached ~5 minutes.
GET
/
public
/
liquidity-rewards
/
markets
/
{marketId}
/
epochs
/
{epoch}
Market-day CP rollup (public)
Path Parameters
CLOB market id. Use the market's conditionId (0x-prefixed
32-byte hex).
UTC-day index, floor(unix_ms / 86_400_000).
Required range:
0 <= x <= 10000000Response
Market-day rollup.
CP-only market-day rollup (snake_case). Dual-rail days may 409 on /makers.
Available options:
scored, settling, settled Show child attributes
Show child attributes